module Appforce
  module Spawn

    class Error < StandardError; end

    class UnknownClient < Error; end

    class ConfigFileParseError < Error; end

    class MissingParameters < Error; end

    class MissingFile < Error; end

    class MissingDependency < Error; end

    class NotYetImplemented < Error; end

    module API
      class CallFailure < Error; end

      class UnauthorizedAccess < Error; end

      class NotFound < Error; end

      class Unavailable < Error; end

      class NotYetImplemented < Error; end
    end
  end
end
